Symbols

Create a new Payment Plan

POST
/symbols/{symbolId}/preferences

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

symbolId*string
symbolId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/symbols/string/preferences" \  -H "Content-Type: application/json" \  -d '{}'
{  "preferenceId": "string",  "formula": "max_amount",  "levelTable": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "ratio": "string",  "unit": "string",  "position": "open",  "side": "buy",  "scope": {    "groupId": "string",    "name": "string",    "uuid": "string"  },  "precision": 0,  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "uuid": "string"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}